Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula.ptg
Class LessThanPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperationPtg
              org.apache.poi.ss.formula.ptg.ValueOperatorPtg
                  org.apache.poi.ss.formula.ptg.LessThanPtg

    public final class LessThanPtg

extends ValueOperatorPtg

Less than operator PTG "<". The SID is taken from the Openoffice.orgs Documentation of the Excel File Format, Table 3.5.7

Author:
  Cameron Riley (criley at ekmail.com)

Field Summary
`static ValueOperatorPtg` | `instance`
`static byte` | `sid` the sid for the less than operator as hex

Fields inherited from class org.apache.poi.ss.formula.ptg.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Method Summary
`int` | `getNumberOfOperands()` Get the number of operands for the Less than operator
`java.lang.String` | `toFormulaString(java.lang.String[] operands)` Implementation of method from OperationsPtg

Methods inherited from class org.apache.poi.ss.formula.ptg.ValueOperatorPtg
`getDefaultOperandClass, getSize, isBaseToken, toFormulaString, write`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

  the sid for the less than operator as hex

  See Also:
    Constant Field Values

### instance

    public static final ValueOperatorPtg instance

Method Detail

### getNumberOfOperands

    public int getNumberOfOperands()

  Get the number of operands for the Less than operator

  Specified by:
    `getNumberOfOperands` in class `OperationPtg`
  Returns:
    int the number of operands

### toFormulaString

    public java.lang.String toFormulaString(java.lang.String[] operands)

  Implementation of method from OperationsPtg

  Specified by:
    `toFormulaString` in class `OperationPtg`
  Parameters:
    `operands` - a String array of operands
  Returns:
    String the Formula as a String
  See Also:
    `OperationPtg.getNumberOfOperands()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD